This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 181369 - Review Request: libedit - The NetBSD Editline library
Review Request: libedit - The NetBSD Editline library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-02-13 13:37 EST by Michael J Knox
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-29 18:37:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michael J Knox 2006-02-13 13:37:07 EST
Spec Name or Url: http://www.knox.net.nz/fedora_extras/libedit.spec
SRPM Name or Url: http://www.knox.net.nz/fedora_extras/libedit-2.9-20060103cvs.1.src.rpm

Description: This is an autotool- and libtoolized port of the NetBSD Editline
library (libedit). This Berkeley-style licensed command line
editor library provides generic line editing, history, and
tokenization functions, similar to those found in GNU Readline.

I use this very often with work and since i use FC as my OS of choice, I figured why not get it into too extras.
Comment 1 Michael J Knox 2006-02-14 17:32:22 EST
I forgot to mention that this is my first package and that I am seeking a sponors. 

Thanks!
Comment 2 John Mahowald 2006-03-13 18:38:45 EST
Naming Guidlines say post release snapshots are release.alpha. In your case,
Release would be 1.%{snap}cvs%{?dist}

rpmlint and the qa script  found these:

Needs work:
* The package should contain the text of the license
  (wiki: PackageReviewGuidelines)
* The package contains libtool archive files (*.la)
  (wiki: PackagingGuidelines#StaticLibraries)

W: libedit non-standard-group System/Libraries
W: libedit-devel non-standard-group Development/C
The group specified in your spec file is not valid.

The closest match in rpm's GROUPS file is System Environment/Libraries for both.

W: libedit incoherent-version-in-changelog 2.9-20060103cvs 2.9-20060103cvs.1.fc5
Your last entry in %changelog contains a version that is not coherent with
the current version of your package.

E: libedit library-without-ldconfig-postin /usr/lib/libedit.so.0.0.17
E: libedit library-without-ldconfig-postun /usr/lib/libedit.so.0.0.17
This package contains a library and provides no %post or %postun scriptlet
containing
a call to ldconfig.

W: libedit-debuginfo objdump-failed
Executing objdump on this file failed, all checks could not be run.

Not sure about this one. The debuginfo package seems to have been made correctly.



Comment 3 Michael J Knox 2006-03-14 15:39:01 EST
Thanks for the review!

Below is the modified spec and srpm. With regards to the license, none is
distributed (as in an actual COPYING file or license text) with the code.
However, the code is licensed under the NetBSD BSD license, so I have suppled a
libedit.COPYING that contains the license text as it is found on the NetBSD
website (http://www.netbsd.org/Goals/redistribution.html). I hope this is OK. 

Package has had a small bump in cvs version. 

Again, thanks for the review. 

http://www.knox.net.nz/fedora_extras/libedit.spec
http://www.knox.net.nz/fedora_extras/libedit-2.9-1.20060213cvs.src.rpm
Comment 4 John Mahowald 2006-03-21 19:06:40 EST
You are only required to included a file with the license text if the source
archive includes it. http://fedoraproject.org/wiki/Packaging/ReviewGuidelines

One can't tell if the authors really agree to the exact license text. They say
berkley style so you can specify License: BSD, but remove the license text. Then
talk to the authors about including the license text.

Why BuildRequires: gpm-devel? I can't figure that one out.

Don't put the snap maro in the change log, use the exact number. That will get
updated, and you want the change log to remain the same.

Going through the usual checklist is pretty good:

- rpmlint checks return:
W: libedit-debuginfo objdump-failed
not critical

- package meets naming guidelines
- package meets packaging guidelines
- license (BSD) OK
We don't know what the text should be though.
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86_64)
- no missing BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file


- devel package ok
- no .la files
- post/postun ldconfig ok
- devel requires base package n-v-r 
Comment 5 Michael J Knox 2006-03-22 14:25:09 EST
Fixed up as per your comments. 

http://www.knox.net.nz/fedora_extras/libedit.spec
http://www.knox.net.nz/fedora_extras/libedit-2.9-2.20060213cvs.src.rpm

upstream has been contacted RE license file. 

Thanks again for the review. 
Comment 6 John Mahowald 2006-04-02 15:59:26 EDT
2.9-2 builds fine.

APPROVED.

Apply for cvsextras in the account system, I'll sponsor.
Comment 7 Michael J Knox 2006-04-04 23:32:44 EDT
done... Thanks!

Note You need to log in before you can comment on or make changes to this bug.